Subject: bug#12419: Mouse click changes layout

From: martin rudalics <[email-masked]>
Date: Fri, 14 Sep 2012 21:14:44 +0200

>> That all windows on the other side get resized proportionally.
 >
 > How is that different from "shrink the windows on the other side"?  I'm guessing
 > that shrink them, but not proportionately?

Yes.  Shrink (or grow) the ones adjacent to an edge first.

 > I see.  In previous releases when you drag one mode line, only the adjacent
 > window shrinks.  And that corresponds exactly (AFAICT) to the opposite action of
 > dragging the mode line back again.  So previously the opposite drag action was
 > symmetric to the initial drag action.  Now it is not.
 >
 > Can we (and then should we) make this change in behavior optional (for the
 > user)?

If you have a copy of Emacs 19 or 20 around you will notice that other
windows did shrink too.  The "shrink only the adjacent window" behavior
you mention was introduced together with `adjust-window-trailing-edge'.
But this function is not very suitable for the minibuffer.

 >> Now set `resize-mini-windows' to nil and drag the bottom modeline.
 >> All windows get resized proportionally in both directions.
 >
 > Not with a standalone minibuffer frame.  At least I see no change in behavior,
 > whatever the value of `resize-mini-windows'.

You need a "normal" frame with a minibuffer for this.

 > Consider proposing something for emacs-devel to discuss.  Was the change in
 > behavior from Emacs 23 to 24 (the change made so far) ever discussed?

Partially.  Most of them were the results of attempting to fix errors.
But I have to admit that I never understood the old code completely so I
couldn't even tell what has changed and how.

 > Personally I don't care much, since I don't split windows that much.  But this
 > sounds like something that affects lots of users, and perhaps there should be
 > some discussion about it.

There should have been more testing before the release.  But I wasn't
very good at advertising my branch then.

martin